# Class CustomView<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- AbstractView<CustomViewInterface<R, L> & {
  structureViewer: ViewerActionManagerInterface<R, L>;
  }, CustomViewStateInterface<R, L>>
  - CustomView

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:62

#####
Index

### Constructors

constructor

### Properties

blockMap
blockViewSelector
boardMap
componentDivId
firstModelLoad
innerSelectionFlag
rcsbFvDivId
rcsbFvMap
state
updateContext

### Methods

additionalContent
blockChange
buildBlockFv
componentDidMount
componentDidUpdate
componentWillUnmount
mapBlocks
modelChangeCallback
render
representationChangeCallback
setState
structureHoverCallback
structureSelectionCallback
unmountBlockFv
updateDimensions

## Constructors

### constructor

- new CustomView<R, L>(props): CustomView<R, L>

- #### Type Parameters

  - #### R

  - #### L

  #### Parameters

  - ##### props: CustomViewInterface<R, L> & {
    structureViewer: ViewerActionManagerInterface<R, L>;
    } & AbstractViewInterface

  #### Returns CustomView<R, L>

  Overrides AbstractView.constructor

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:78

## Properties

### `Private` blockMap

blockMap: Map<string, string[]> = ...

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:66

### `Private` blockViewSelector

blockViewSelector: BlockSelectorManager = ...

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:64

### `Private` boardMap

boardMap: Map<string, FeatureViewInterface<R, L>> = ...

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:65

### `Protected` `Readonly` componentDivId

componentDivId: string

Inherited from AbstractView.componentDivId

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:19

### `Private` firstModelLoad

firstModelLoad: boolean = true

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:68

### `Private` innerSelectionFlag

innerSelectionFlag: boolean = false

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:69

### `Protected` `Readonly` rcsbFvDivId

rcsbFvDivId: string

Inherited from AbstractView.rcsbFvDivId

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:20

### `Private` rcsbFvMap

rcsbFvMap: Map<string, RcsbFv<{}, {}, {}, {}>> = ...

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:67

### `Readonly` state

state: CustomViewStateInterface<R, L> = ...

Overrides AbstractView.state

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:72

### `Private` updateContext

updateContext: null | "state-change" = null

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:70

## Methods

### additionalContent

- additionalContent(): Element

- #### Returns Element

  Overrides AbstractView.additionalContent

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:206

### `Private` blockChange

- blockChange(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:124

### `Private` buildBlockFv

- buildBlockFv(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:145

### componentDidMount

- componentDidMount(): void

- #### Returns void

  Overrides AbstractView.componentDidMount

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:83

### componentDidUpdate

- componentDidUpdate(prevProps, prevState, snapshot?): void

- #### Parameters

  - ##### prevProps: Readonly<CustomViewInterface<R, L> & AbstractViewInterface>

  - ##### prevState: Readonly<CustomViewStateInterface<R, L>>

  - ##### `Optional` snapshot: any

  #### Returns void

  Overrides AbstractView.componentDidUpdate

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:95

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides AbstractView.componentWillUnmount

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:88

### `Private` mapBlocks

- mapBlocks(config): void

- #### Parameters

  - ##### config: FeatureBlockInterface<R, L> | FeatureBlockInterface<R, L>[]

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:107

### modelChangeCallback

- modelChangeCallback(): void

- #### Returns void

  Overrides AbstractView.modelChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:212

### render

- render(): Element

- #### Returns Element

  Inherited from AbstractView.render

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:29

### representationChangeCallback

- representationChangeCallback(): void

- #### Returns void

  Overrides AbstractView.representationChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:202

### setState

- setState<K>(state, callback?): void

- #### Type Parameters

  - #### K extends "blockConfig" | "blockSelectorElement" | "blockChangeCallback"

  #### Parameters

  - ##### state: null | CustomViewStateInterface<R, L> | ((prevState, props) => null | CustomViewStateInterface<R, L> | Pick<CustomViewStateInterface<R, L>, K>) | Pick<CustomViewStateInterface<R, L>, K>

  - ##### `Optional` callback: (() => void)

    - - (): void

      - #### Returns void

  Overrides AbstractView.setState

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:234

### structureHoverCallback

- structureHoverCallback(): void

- #### Returns void

  Overrides AbstractView.structureHoverCallback

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:193

### structureSelectionCallback

- structureSelectionCallback(): void

- #### Returns void

  Overrides AbstractView.structureSelectionCallback

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:182

### `Private` unmountBlockFv

- unmountBlockFv(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:135

### updateDimensions

- updateDimensions(): void

- #### Returns void

  Overrides AbstractView.updateDimensions

  - Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:247

Generated using TypeDoc